Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.hibernate.tool.hbm2java
Class BasicRenderer

    java.lang.Object
      |
      +--net.sf.hibernate.tool.hbm2java.AbstractRenderer
            |
            +--net.sf.hibernate.tool.hbm2java.BasicRenderer

All Implemented Interfaces:
  Renderer

public class BasicRenderer
extends AbstractRenderer

Field Summary
`protected static int` | `BOUND`
`protected static int` | `CONSTRAINT`
`protected static int` | `ORDINARY`

Constructor Summary
`BasicRenderer()`

Method Summary
`void` | `doConstructors(String savedToClass, ClassMapping classMapping, Map class2classmap, PrintWriter writer)`
`void` | `doEqualsAndHashCode(String savedToClass, ClassMapping classMapping, PrintWriter writer)`
`int` | `doFieldAccessors(ClassMapping classMapping, Map class2classmap, PrintWriter writer, String vetoSupport, String changeSupport)`
`void` | `doFields(ClassMapping classMapping, Map class2classmap, PrintWriter writer)`
`void` | `doImports(ClassMapping classMapping, PrintWriter writer)`
`void` | `doToString(ClassMapping classMapping, PrintWriter writer)`
`protected String` | `makeSupportField(String fieldName, List fieldList)`
`void` | `render(String savedToPackage, String savedToClass, ClassMapping classMapping, Map class2classmap, PrintWriter mainwriter)`

Methods inherited from class net.sf.hibernate.tool.hbm2java.AbstractRenderer
`genPackageDelaration, getFieldScope, getPackageDeclaration, getTrueTypeName, getTrueTypeName, shortenType, toJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORDINARY

    protected static final int ORDINARY

See Also:
  Constant Field Values

### BOUND

    protected static final int BOUND

See Also:
  Constant Field Values

### CONSTRAINT

    protected static final int CONSTRAINT

See Also:
  Constant Field Values

Constructor Detail

### BasicRenderer

    public BasicRenderer()

Method Detail

### render

    public void render(String savedToPackage,
                       String savedToClass,
                       ClassMapping classMapping,
                       Map class2classmap,
                       PrintWriter mainwriter)
                throws Exception

    `Exception`

### doConstructors

    public void doConstructors(String savedToClass,
                               ClassMapping classMapping,
                               Map class2classmap,
                               PrintWriter writer)

### doFields

    public void doFields(ClassMapping classMapping,
                         Map class2classmap,
                         PrintWriter writer)

### doEqualsAndHashCode

    public void doEqualsAndHashCode(String savedToClass,
                                    ClassMapping classMapping,
                                    PrintWriter writer)

### doToString

    public void doToString(ClassMapping classMapping,
                           PrintWriter writer)

### doFieldAccessors

    public int doFieldAccessors(ClassMapping classMapping,
                                Map class2classmap,
                                PrintWriter writer,
                                String vetoSupport,
                                String changeSupport)

### doImports

    public void doImports(ClassMapping classMapping,
                          PrintWriter writer)

### makeSupportField

    protected String makeSupportField(String fieldName,
                                      List fieldList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD